Changelog chapterEditor

added &
fixed *
improvement #
layout change %


rev0.47
// OGG Format
* beim laden von XML-Dateien wurden 3 Leerzeichen an die Kapitelnamen angefügt

// Multi Versionen Editor
& eac3to: Unterstützung für EAC-3 Spuren


rev0.46
// chapterEditor
# MKVToolNix Funktionen für die neue Version 9.0.0 angepasst
  - mkvinfo.exe braucht nun den "--no-gui" Parameter

// Matroska Menu
* fehlende Übersetzung ins englisch für "Hauptmenü Video" Knopf

 
rev0.45
// chapterEditor
# DVD Maestro Format: Unterstützung für Dateien von ChapterXtractor 
  (enthält eine zusätzliche Leerzeile)

// Einstellungen
& XML: Matroska Datei Drag+Drop bei selektiertem Kapitel
  - immer nachfragen
  - Kapitel-Segment-Verknüpfung verwenden
  - neue Kapitel aus der Datei laden 

* XML: Matroska Datei Drag+Drop bei selektierter Version
  - neue Kapitel aus der Datei laden -> Einstellung wurde falsch gesetzt

// XML Format
& Kapitel-Segment-Verknüpfung (bei selektiertem Kapitel und reihenfolgentreuer Version)
  - Startzeit wird auf 00:00:00.000000000 gesetzt
  - Endzeit bekommt die Spieldauer der Matroska Datei
  - SegementUID wird automatisch eingetragen

* laden von Matroska Dateien , wenn eine Verison im Treeview selektiert ist
  - neue Kapitel aus der Datei laden funktionierte nicht 
    (egal ob voreingestellt oder als Auswahl)

// Multi Versionen Editor
# eac3to: 3D-Bluray Verabreitung 
  - die h264/MVC(right eye) Spur wird nicht verarbeitet, 
    da diese in der MKVToolNixGUI nicht unterstützt wird

// Konverter
& 2 neue Ausgabeformate
  - Celltimes
  - Timecodes

& Ausgabeformat Auswahl

& FPS Auswahl - für Celltimes Ausgabeformat
  - 1.Combobox: ein Integer oder Float kann verwendet werden
    - Float Dezimaltrenner ist "," man kann aber auch einen "." eingeben
  - Automatische Neuberechnung der Zeitcodes/Bilder

& direktes speichern 
  - es wird sofort die Quelldatei konvertiert und gespeichert
  - für Drag&Drop und mit dem "laden"-Knopf
  - alle Voreinstellungen werden berücksichtigt

& speichern der Einstellungen im Konverter automatisch
  - direktes speichern
  - FPS
  - Matroska Checkboxen
  - Ausgabeformat


rev0.44
// chapterEditor
& Konverter

// Konverter
& Cue Sheet Ausgabeformat
  - laden einer wav-Datei
  - Albumtitel
  - Künstler - für alle Spuren anwendbar
  - Pregap - auch für alle Spuren
  - Kommentare: Genre und Datum
  - Spurtitel und Spurkünstler bearbeitbar

& Input: XML Kapitel und Matroska Dateien (xml,mka,mkv,mk3d)
  - Auswahl vor dem Laden einer Datei:
    - verwende verschachtelte Kapitel
    - verwende versteckte Kapitel
    - verwende deaktivierte Kapitel
  - Optionen nach dem Laden einer Datei:
    - alle Versionen in der Combobox auswählbar
    - verwende die Start- oder Endzeit(wenn die Version reihenfolgentreu ist)

& Drag&Drop - für die Input Dateien und wav-Dateien


rev0.43
// Matroska Menü
# Nested Chapters angepasst damit LAV Splitter das richtig verarbeiten kann 

  
rev0.42
// chapterEditor
# dgi Datei - FPS auslesen angepasst (seltsame FPS angabe 120000 / 5005)

// Matroska Tags
& Hotkeys:
  - TreeView
    - ENTER  > UID Edit-Feld oder String/Binary Edit-Feld bekommt den Focus
               (wenn ein Target oder Simple Node ausgewählt ist)
    - ESCAPE > Reset
    - a      > Speichern als
    - e      > Einstellungen
    - l      > laden
    - s      > Speichern
    - F3     > neuer TAG
    - F4     > TAG löschen
    - F5     > neuer Simple TAG
    - F6     > Simple TAG löschen

  - UID Edit-Feld
    - ENTER  > UID hinzufügen
    - ESCAPE > alle UID's löschen
    - Pfeiltaste hoch   > im TreeView ein Node hoch
    - Pfeiltaste runter > im TreeView ein Node runter
    - F1     > in der ListView eine UID hoch
    - F2     > in der ListView eine UID runter
    - F3     > UID bearbeiten
    - F4     > UID löschen
    - F5     > in der Combobox UID-Typ eins hoch
    - F6     > in der Combobox UID-Typ eins runter
    - F7     > in der Combobox TargetTypeValue eins hoch
    - F8     > in der Combobox TargetTypeValue eins runter
    - F9     > in der Combobox TargetType eins hoch
    - F10    > in der Combobox TargetType eins runter
    - F12    TreeView bekommt den Focus

  - String/Binary Edit-Feld
    - Pfeiltaste hoch   > im TreeView ein Node hoch
    - Pfeiltaste runter > im TreeView ein Node runter
    - F2  > in der Combobox Name eins hoch
    - F3  > in der Combobox Name eins runter
    - F4  > zwischen String und Binary wechseln (wenn beide aktiv sind)
    - F5  > in der Combobox Sprache eins hoch
    - F6  > in der Combobox Sprache eins runter
    - F7  > Checkbox Standard Sprachen an/aus
    - F8  > Checkbox "Sprache für alle ..." an/aus
    - F9  > Combobox Name bekommt den Focus
    - F12 > TreeView bekommt den Focus

  - Combobox Name
    - ENTER > String/Binary Edit-Feld bekommt den Focus
    - Pfeiltaste hoch   > im TreeView ein Node hoch
    - Pfeiltaste runter > im TreeView ein Node runter
    - F12 > TreeView bekommt den Focus

// Multi Versionen Editor
& dgi Datei per Drag&Drop laden (wenn das Schneiden Panel sichtbar ist)

* für Video Spuren bei BD's mit mehreren m2ts Dateien, wurde der Wert für "defaultTrackFlag"
  falsch gesetzt

* mtxcfg: 
   - TrueHD (thd+ac3) Codec und Type fehlten
   - E-AC-3/AC-3 Codec angepasst

# dgi Datei wird mit neuem Lade-System geladen damit, ist die Auswahl welche Keyframes
  angezeigt werden sollen (nur AVC-Material) verfügbar

// Matroska Menü
& Hauptmenü Video
  - nach dem ein Ordner gewählt wurde, kann man aus diesem eine Datei auswählen
    und ein Hauptmenü Video(sehr kurz) wird automatisch erstellt
  - beginnt das ausgewählte Video mit SxxExx (x = ein Ziffer 0-9) wird das Hauptmenü Video
    wie folgt benannt: SxxE00 - Hauptmenü.mkv 
    ansonsten wird nur das prefix "00_" an den ausgewählten Dateinamen gesetzt

& Hauptmenü wiederholen: 1. Datei nur einmal
  - die 1.Datei in der Hauptmenü Version sollte das Hauptmenü Video sein
  - Wenn in der Hauptmenü-Version mehr als nur das Hauptmenü Video verwendet wird,
    (mehr als 1 Wiederholung) sollte diese Funktion benutzt werden.

& Hauptmenü wiederholen: 1. Datei verstecken
  - das Hauptmenü Video (erstellt vom chapterEditor) ist sehr kurz und dient lediglich
    als Speicherplatz für das chapter und tags xml
  - daher sollte man diese Datei (ein reihenfolgentreues Kapitel über die gesamte Spieldauer)
    ausblenden

& nested chapters für Menü Versionen
  - gibt es mehrere Dateien in einer Verion, dann werden nested chapters für jede Datei erzeugt
    (Kapitelauswahl im Menü wird übersichtlicher)
  - für das "Haupt Kapitel" wird der Dateinamen als Kapitelname verwendet
 
& Menü Versionsname änderbar

& Spur UID's in die Zwischenablage kopieren:
  - Wenn die Checkbox angehakt ist, dann wird die Spur UID bei der Auswahl
    automatisch in die Zwischenablage kopiert

& Dateien mit einem Button hinzufügen
  - als Alternative zum Doppelklick in der ListView

% "als Menü" ändert sich zu "als Hauptmenü"

% "Menü wiederholen" ändert sich zu "Hauptmenü wiederholen"

// DVD2mkv
& dgi Datei per Drag&Drop laden (wenn das Schneiden Panel sichtbar ist)

# dgi Datei wird mit neuem Lade-System geladen, damit ist die Auswahl welche Keyframes
  angezeigt werden sollen (nur AVC-Material) verfügbar


rev0.41
// chapterEditor
& Unterstützung für VLC Bookmark Dateien xspf,m3u,m3u8 (OGG,XML,TTXT,multiAVCHD)

# Laden aller Dateiformate für die Editoren OGG,XML,TTXT,multiAVCHD komplett neu
  - jede Menge veraltete Proceduren entfernt
  - Sonic Scenarist CSV File: die FPS wird voreingestellt
  * Einstellung-Quell FPS: es gab ein Fehler wenn "Exit" nicht aktiviert war

# die Farben für die Statusbar's sollten nun immer angezeigt werden

// Einstellungen
& mkv: qp Datei für Multi Versionen Editor und DVD2mkv - wird für das encodieren des Videos benötigt
     - 2 I-Bilder je Kapitel 
       (die Bildnummer wird sehr oft gerundet und es wird dann eine Bildnummer fürs abrunden 
        und eine Bildnummer fürs aufrunden eingefügt)
     - qpf MeGui Datei (anstatt qp_x264)

// Matroska Tags
* UTF8 Umwandlung für den "String" Knoten fehlten

// OGG Format
* der Kapitelzeit-check wurde falsch ausgewertet

// XML Format
# Dateien anhängen für alle Formate wenn der Wurzelknoten im TreeView ausgewählt ist
  - das neue "Lade-System" erlaubt nun alle Dateiformate an Vorhandene XML Strukturen anzuhängen

* internes Drag&Drop im TreeView - linke Mousetaste
  - wenn ein Kapitel in eine andere Version verschoben wurde,
    wurden falsche Kapitel-indexierungen erzeugt

// 3GPP TTXT Format
* beim Speichern der TTXT wurden falsche Werte generiert wenn gewisse Styles aktiviert sind

// Multi Versionen Editor
& Ausgabe einer qp_x264 oder qpf_MeGUI Datei
  - Alle Kapitelmarken(auch unsichtbare)
  - Schnittmarken werden ebenfalls berücksichtigt

& Untertitel demuxen: Checkbox "grayed" status - nur angehakte Untertitel werden extrahiert

// DVD2mkv
& Ausgabe einer qp_x264 oder qpf_MeGUI Datei

* mtxcfg: MPEG2(m2v) "type propertie" war nicht korrekt


rev0.40
// chapterEditor
# mehrere Quellcodeoptimierungen

// Matroska Tags
# Tabulatorreihenfolge angepasst

// Einstellungen
& XML: XML anhängen
       - Auswahl was mit der neuen XML Datei passieren soll

# XML - automatischer Kapitelname:
  - minimale Ziffernanzahl für die Kapitelnummer

// XML Format
& XML Dateien anhängen bei selektiertem Wurzelknoten
  - befindet sich im TreeView bereits eine Version kann eine weitere XML Datei angehängt werden

& Kapitelbenennung: minimale Ziffernanzahl für die Kapitelnummer
  - nur beim "nummerieren" werden die Kapitelnummern vorne mit Nullen aufgefüllt
  - ein Wert von 1 deaktiviert die Funktion

& Kapitelbenennung: OK-Knopf mit ENTER ausführen

& Kapitelbenennung EXIT: Wenn die Checkbox "Exit" angehakt wird die Funktion automatisch beendet

# Matroska Tags Editor wird als Standard mit ENTER ausgeführt, wenn nachgefragt wird, welcher 
  Tag-Editor verwendet werden soll
  - die Form wird nun Modal angezeigt, so dass keine Programmfehler mehr provoziert werden können

// Multi Versionen Editor
& HotKeys:
  - ListView(verfügbare Titel)
    m     -> "nur Multi Versionen anzeigen" wechseln
    e,f   -> entferne erste m2ts Datei (wenn Checkbox aktiv)
    l     -> entferne letzte m2ts Datei (wenn Checkbox aktiv)
    d     -> entferne doppelte m2ts Dateien (wenn Checkbox aktiv)
    SPACE -> fertig mit der Auswahl der Titel -> "Versionsname" Editfeld bekommt den Focus
             für weitere HotKeys. 

  - Editfeld Versionsname
    ENTER                   -> "OK" wird ausgeführt und man gelangt zu den Spuren
    ESCAPE                  -> löscht die ausgewählte Version in der ListBox
    Pfeiltasten hoch/runter -> auswahl der Version in der ListBox
    F2			    -> CheckBox "Alle Versionen" umschalten
    F3			    -> Sprache in der Combobox nach oben
    F4			    -> Sprache in der Combobox nach unten

& mtxcfg automatisch erzeugen, nach dem alle Audios umgewandelt worden sind
  - bisher konnte man nur abbrechen

* überflüssige Fehlermeldung entfernt, wenn noch Audio Spuren umgewandelt werden 
  und man versucht eine mtxcfg Datei zu erstellen

* mtxcfg: fehlende "properties" ergänzt
  - "type" für MPEG2
  - "pixel_dimensions"

// DVD2mkv
& mtxcfg Datei als Ausgabe für MKVToolNiX-GUI


rev0.39
// Multi Versionen Editor
& HotKeys für die ListView(verfügbare Titel)
  - Pfeiltasten (hoch,runter) zum selektieren der Titel in der ListView
  - "ENTER" fügt den Titel zu den "verwendeten Titel" hinzu

& Start Knopf: ENTER-Taste ist als "Standard" definiert
  - ist der Start Button benutzbar, kann von überall aus mit der ENTER Taste gestartet werden

* mtxcfg: mehr als eine konvertierter Audio Spur und/oder ein externer Untertitel
  erzeugten eine fehlerhafte Datei

# mtxcfg: angepasst an MKVToolNix 8.4.0


rev0.38
// Einstellungen
& mkv: 
  - mmg erzeugen (mmg ist veraltet und wird normal nicht mehr erzeugt)
  - Kapitel und Tags Dateien:
    - neu oder überschreiben
    - Dateien in mtxcfg/mkv verwenden  

// Multi Versionen Editor
& mtxcfg Datei: statt der alten mmg wird nun die neue mtxcfg Datei erstellt
  - Audio Konvertierung wird überwacht und am Ende mit mkvmerge analysiert
  - mtxcfg Datei erstellen funktioniert nur, wenn alle Audiokonvertierungen beenden wurden
  - (vorerst) für das separate muxen wird eine CMD Datei, statt der mtxcfg erstellt

& prüfen ob chapters und tags xml Dateien vorhanden sind
  - wenn ja: können in den Einstellungen vordefinierte Optionen verwendet werden

& Spurname Editfeld HotKeys 
  - Pfeiltasten (hoch,runter) zum selektieren der Spuren in der ListView
  - "ENTER" - öffnet die persönlichen Favoriten

& konvertierte Audio Dateien doch nicht verwenden
  - falls man eine falsche Spur konvertiert hatte, musste man einiges zurücksetzen
    und von vorne anfangen

* "mmg/mtxcfg automatisch öffnen" wurde nicht richtig deaktiviert (mmg/mtxcfg startete immer)

# mmg Datei für MKVToolNix 8.3.0 angepasst - letzte Anpassung!

# Die Hilfe erweitert und angepasst


rev0.37
// Multi Kapitel
& für Kapitel im XML-Format können die Voreinstellungen
  "automatischer Kapitelname" verwendet werden

// Matroska Tags
& Sprache für ALLE folgenden und selektierten Simple Tag ändern

& Unterstützung für Tags die keinen Targets Node enthalten (Haali's TRACKSETEX)

% Einen Button eingefügt, 
  mit dem man direkt zu den Matroska Tags Einstellungen gelangt

// Einstellungen
& Matroska Tags

& XML: 
  - Tags Editor Auswahl
    - Matroska Tags
    - Einfacher Editor

  - automatischer Kapitelname
    - nummerieren oder indexieren
    - ohne Level(nested chapter); es wird nur die einfache Kapitelnummer verwendet
    - Name zuerst/zuletzt (Kapitel 1 oder 1. Kapitel)
    - Sprache und Land

// XML Format
* internes Drag&Drop: Kapitelnummer wurde beim verschieben(linke Maustaste)
  eines Kapitels(ausser nested chapters) auf die eigene Version falsch erzeugt

# beim hinzufügen einer neuen Version wird automatisch ein 1. Kapitel eingefügt

# eine neue Kapiteldatei erstellen, fügt jetzt immer eine 1. Version und ein
  1. Kapitel ein

# Kapitelname hinzufügen 
  - automatischer Kapitelname kann verwendet werden

# Kapitelbenennung
  - ohne Level(nested chapters)
  - Name zuerst/zuletzt
  - indexieren funktionierte für nested chapters nicht korrekt
  - versteckte/deaktivierte Kapitel an das Anzeigemuster für LAV Splitter angepasst

# UID check erlaubt jetzt die volle 64bit Größe (18446744073709551615) 

# UID Generierung:
  - volle 64bit Größe
  - zufällig eine 19 oder 20 stellige UID

# Die Hilfe erweitert

// OGG, 3GPP TTXT, multiAVCHD - Format
# eine neue Kapiteldatei erstellen, fügt jetzt immer ein 1. Kapitel ein

  
rev0.36
// chapterEditor
& Matroska Tags

% Menüitem "Matroska Tags" eingefügt

// Matroska Tags
& Drag&Drop
  - Tags.xml
  - Matroska Dateien (mka,mkv,mk3d)

& Speichern der Tags direkt in Matroska Dateien (mka,mkv,mk3d)

// Multi Versionen Editor
& Unterstützung für DTS Express

* BDSup2Sub.jar änderte die FPS der forced Untertitel beim extrahieren


rev0.35
// chapterEditor
& Die Fensterposition wird nun ebenfalls gespeichert und beim starten geladen

// Einstellungen
& mkv -> Multi Versionen Editor
  - Spieldauer(in Sekunden) für das erste und letzte m2ts einstellbar

// XML Format
# Die Hilfe etwas verbessert

// Multi Versionen Editor
& Unterstützung für "embedded" AC3 in TrueHD Audio Spuren
  - mmg angepasst

& ignoriere erste m2ts Datei
  - ein Workaround für mpls Dateien, die als erstes ein m2ts abspielen, welches
    andere Spuren-Parameter hat (mmg bricht den Mux-Vorgang mit einer
    Fehlermeldung ab)
  - die Kapitel werden automatisch angepasst

* Drag&Drop für "Quelle" bei BD-Strukturen die auf der Festplatte sind 
  funktionierte nicht


rev0.34
// chapterEditor
# mmg Datei angepasst für MKVToolNix 7.8.0
  - reduce_to_core

// Einstellungen
& mkv: - Einstellungen für den Multi Versionen und DVD2mkv Editor
  - Ziel Ordner als Dateiname
  - mmg automatisch öffnen

// Multi Versionen Editor
& Untertitel laden per Drag&Drop

# Drag&Drop für Input und nun auch Output angepasst

// DVD2mkv
& externe Untertitel laden
  - VobSub idx/sub und SubRip Text srt Dateien
  - Untertitel können per Drag&Drop geladen werden

* "XML zu Editor" funktionierte nicht immer korrekt

% Untertitel laden Button eingefügt


rev0.33
// chapterEditor
& Unterstützung für dgi Datei (OGG,XML,TTXT,mAVCHD)

// Einstellungen
& Tools->DGIndexNV: dgi Datei
  - Auswahl für die Keyframes bei AVC Material (DGAVCIndex)

* XML: English Übersetzung fehlte

// XML Format
# Es kann nur noch eine einzige Version Standard sein.
  - wird der Standard für eine Version gesetzt, wird der Standard bei
    anderen Versionen automatisch aufgehoben

// 3GPP TTXT Format
* FPS Konvertierung funktionierte nicht für Kapitelzeiten, die in Sekunden 
  angegeben sind.

// Multi Versionen Editor
# die Videospur erhält ab jetzt English als Standard


rev0.32
// chapterEditor
& Hot Keys: OGG, XML, TTXT, multiAVCHD 
  Alle
  - Entf > Kapitel (Version) löschen
  - q, 8(num) > Kapitel hoch
  - w, 2(num) > Kapitel runter
  - n > neu, alles leeren
  - k > kapitel hinzufügen
  XML
  - c > Version kopieren
  - v > neue Version einfügen
  - t > Tags Editor öffnen
  - h > versteckt ändern
  - e > aktiviert/Standard ändern
  - o > reihenfolgentreu ändern
  TTXT
  - c > Kapitel kopieren
  multiAVCHD
  - c > Kapitel kopieren
  - t > Thumbnail Positionen Generator öffnen

// Multi Kapitel
& Spieldauer für XML:
  - Werden für das XML Format multi Kapitel erstellt, dann wird die angegebene 
    Spieldauer für die Version verwendet. 

// Einstellungen
& Tools:     - (Java) BDSup2Sub.jar (5.1.2)
  Pfade:     - Java
  BDSup2Sub: - Auswahl zwischen den beiden Versionen

& XML - Matroska Drag&Drop bei selektierter Version
  
// XML Format
& Spieldauer für eine Version:
  - ist eine Version selektiert, kann man dieser eine Spieldauer zuweisen
  - Beim Drag&Drop von Matroska Dateien kann die Spieldauer verwendet werden  
  - die Spieldauer von mpls und IFO(Titel) Dateien wird automatisch verwendet

# Matroska Parsing:
  - die Spieldauer wird ermittelt und für alle Versionen im XML verwendet

# Endzeitberechnung für "ordered chapters"
  - Wenn eine Version eine Spieldauer besitzt und diese größer als die Startzeit des 
    letzten Kapitel ist, wird diese verwendet. 

# ChapterGrabber chapters Datei:
  - die Spieldauer wird für die Version verwendet

// 3GPP TTXT Format
# die Kapitelzeit kann jetzt auch mit milli Sekunden angegeben werden
  - 1.234
  - 1,234

// Multi Versionen Editor
& Untertitel demuxen: 
  - Es wird automatisch nach forced Untertiteln gesucht und diese werden dann extrahiert.

// DVD2mkv
* "XML zu Editor" funktionierte nicht


rev0.31
// chapterEditor
& DVD2mkv Editor

* 2 kleine Fehler bei der INI Datei behoben

* BluRay Parser: 
  - Wenn es mehrere PlayItems gibt und diese unterschiedliche Byte-Längen haben,
    wurden falsche Zeiten ermittelt

// Einstellungen
& Tools - Einstellungen für die externen Tools
  - Pfade - allgemein für alle externen Tools
  - DGIndexNV - Parameter
  - PgcDemuxMod - Parameter 
 
// Haali's TRACKSETEX
& Drag&Drop Unterstützung (Matroska Dateien + Tags.xml)

* Fehler Auswertung zeigte falsche Meldungen an wenn ungültige Dateien geladen wurden

// XML Format
* im TreeView wird ab jetzt der Root Node selektiert, wenn kein andere Node ausgewählt wurde
  - dadurch kommt es nicht mehr zu Abstürzen für einige Funktionen
  - Quellcode etwas bereinigt und verbessert

# XML Parser: wenn der Sprache-Tag(ChapterLanguage) vorhanden ist aber leer, 
              wird "Undertermined" als Standard verwendet

// Multi Verionen Editor
& eac3to: PCM/WAV Audio Unterstützung

* Maximale Schnittzeit für die zwei Schnitt-Methoden angepasst

* eac3to Spurnummer stimmte nicht, wenn es keine Kapitel in der mpls gibt

# Schnittzeiten,Muxteile und Mux-Spieldauer werden mit Nano Sekunden angegeben
  - "schneiden und muxen zusammen:" funktioniert dann 100% exakt
     für die automatische Kapitel-Neuberechnung in der mmg

# DGIndexNV - DGI Datei:
  - Die .dgi Datei wird automatisch geladen, nachdem sie erstellt wurde. 
  - Die Keyframe-Zeitstempel werden mit Nano Sekunden ausgegeben

# Chapter.xml: versteckte Kapitel erhalten jetzt auch eine Sprache

% Schneiden: DGIndexNV Ordnerauswahl entfernt

// DVD2mkv
  - benötigt: 
    PgcDemuxMod(ab version 2) 
    BDSup2Sub++1.0.2_win32 (vorerst nur die Windows Version)
    MKVToolNix
  - optional: DGIndexNV (für die Keyframes)
  - laden eines DVD Laufwerkes, ein Ordner mit IFO Dateien oder eine IFO selbst
  - Auflisten der vorhanden IFO's/Titel und Spuren Infos
  - Spuren können bearbeiten werden: Sprache, Kompression, Standard Spur, Spurname
  - Spur Reihenfolge kann ebenfalls wieder per Drag&Drop verschoben werden
  - Schneiden und Muxen mit den 2 mmg Schnitt Methoden
  - einfaches und schnelles Umwandeln der DVD-sup's ins idx/sub Format
    beim aktivieren der Checkbox
  - automatische Suche nach "forced" Untertiteln
  - Drag&Drop: Bevor man "Start" gedrückt hat, wird auf die Quelle gedropt,
    danach auf das Ziel.
  - Haali's TRACKSETEX
  - persönliche Favoriten für den Spurnamen: Doppel Klick auf eine Spur oder
    ein Klick auf das Lable "Spurname"
  - Schneiden - DGIndexNV - .dgi Datei wird automatisch geladen


rev0.30
// chapterEditor
& Haali's TRACKSETEX

% kleine Icons an einigen Stellen eingefügt

// Haali's TRACKSETEX
& Matroska Support: direktes laden und speichern der TrackSet's

& Track Nummer statt UID
  - für Video, Audio und Untertitel
  - es ist leichter mit Track Nummern zu arbeiten
 
& Track Nummer starten bei 1 statt 0
  - die Track Nummer ist ein Index, welche normalerweise bei 0 startet
  - beim anhaken werden bei allen TrackSet's die Track Nummern(#) um 1 erhöht

& TRACKSETEX in XML-, Multi-Versionen- und Matroska Menü Editor
  - öffnen von TRACKSETEX aus dem jeweiligen Editor
  - die UID's aller vorhandenen Versionen werden übertragen
  - erst anwenden und im jeweiligen Editor die TrackSet's in eine Tags oder
    Matroska Datei speichern
  - zusätzliche Speicherung für jeden Editor separat einstellbar
  - "Exit" deaktiviert die zusätzliche Speicherung für den jeweiligen Editor
  - TRACKSETEX mit dem "kleinen x-Button" schließen ändert die zusätzliche
    Speicherung nicht

& TrackSet's können per Drag&Drop verschoben werden.

// XML Format
* löschen von Kapiteln oder Versionen funktionierte ab 10 Versionen nicht korrekt
  - komplett neue und schnellere Prozedur 
  - Versionen werden neu nummeriert 

// Multi Versionen Editor
* schneiden und muxen zusammen:
  - maximale Schnittzeit(gesamte Spieldauer) angepasst
  - Fehlermeldung angepasst
  - gab es nur eine Startzeit fehlte im Schnitt-Code die Endzeit(gesamte Spieldauer)  

// Matroska Menü
& Automatische Aufgaben
  - 1. Für jede Matroska Datei eine Version erstellen
  - 2. Eine Version mit allen Matroska Dateien erstellen
  - es wird keine Spezial-Menü-Version erstellt (das sollte man als erstes manuell tun)
  - wenn keine Quell Datei ausgewählt ist, werden alle Dateien verwendet
  - ist eine Quell Datei ausgewählt, wird diese und alle nachfolgenden Dateien verwendet

* wenn eine Menü Version gelöscht wird, wurde die letzte Standard Version nicht gelöscht


rev0.29
// XML Format
* Die neue Berechnung für die Endzeiten bei reihenfolgetreuen Kapiteln wird
  jetzt nicht mehr ausgeführt, wechselt man zwischen einer Version mit bzw. ohne
  reihenfolgetreuen Kapiteln.
  - letzte Endzeit wird nicht mehr überschrieben
  
// Multi Versionen Editor
& Vordefinierte Spurnamen und eac3to Optionen
  - persönliche Favoriten
  - erspart mir das dauernde eingeben der selbigen Bezeichnungen
  - Aufrufbar: Doppelklick auf eine Spur oder ein Klick
               auf das Label - Spurname oder eac3to Option
  - Auswahl: Klick auf eine Bezeichnung

& schneiden und muxen zusammen: neuer Schnittmodus
  - nur noch ein direkter remux (Bluray) nötig  
  - die Schnittzeiten werden dann im Wechsel von Startzeit und 
    Endzeit angegeben
  - letzte Endzeit kann weggelassen werden. Die Spieldauer der Datei
    wird dann als letzte Endzeit verwendet

& Version reihenfolgentreu
  - wenn es nur eine Version gibt, kann diese mit oder ohne ordered chapters
    erstellt werden
  - wenn doppelte m2ts entfernt wurden, wird somit eine passende 
    chapters.xml erstellt

# m2ts einmal verwenden: 
  - angepasst für mpls Dateien welche mehrere verschiedene m2ts nutzen
  - alle doppelten m2ts Dateien werden nur einmal verwendet 

% "Schneiden"- Checkbox durch eine Combobox ersetzt

% eine Checkbox "Version reihenfolgentreu" eingefügt
  

rev0.28
// chapterEditor
& Matroska Menü Editor

// Kapitel Datenbank
# Die Datenbank wird nun immer geöffnet und wechselt vorher zum XML-Editor

// XML Format
* XML-Parser: Wenn Kommentarzeilen zwischen den Versionen enthalten sind,
  - wurden die Versionen nicht korrekt verarbeitet
  - XML Gültigkeitsprüfung funktionierte nicht

* die Funktions-Checkboxen wurden nicht korrekt verschoben beim Verbreitern
  des chapterEditors, wenn ein anderer Format-Editor aktiv war

// Multi Versionen Editor
& mpls Unterstützung (nur per Drag&Drop)
  - mpls Dateien die von eac3to (Blu-Ray Struktur) nicht erkannt werden,
    können somit dennoch verarbeitet werden

& eine Einstellung für mpls Dateien, die ein m2ts mehrfach verwenden 
  - m2ts einmal verwenden 

* Die Pfadangabe zu einem PLAYLIST Ordner ließ den Editor abstürzen

* Tags.xml: Versionsnamen wurden falsch dargestellt (UTF8)

* kein ":" mehr im umgewandelten Audio Dateinamen

# Audio Dateien behalten beim erneuten Umwandeln ihre Spurreihenfolge
  - mmg wurde falsch erstellt, wenn vor dem erneuten Umwandeln ein externer Untertitel
    geladen wurde
 
# Standard Spur Schalter(mmg) für Audio und Video wird jetzt automatisch eingestellt

% Checkbox: "m2ts einmal verwenden" eingefügt

// Matroska Menü Editor
& Quelle - links
  - Quellordner auswählen und starten, sammeln von Informationen
  - auswählen einer Datei zeigt die Infos
  - Doppelklick auf eine Datei fügt diese zu einer ausgewählten Menü-Version hinzu,
    ist keine Menü-Version ausgewählt, wird eine neue Menü-Version erstellt

& einfügen weiterer Versionen bevorzugen
  - eine Menü-Version die hinzugefügt wird (Doppelklick), wird nicht selektiert,
    somit können schnell weitere Menü-Versionen eingefügt werden

& Matroska Menü (Versionen) - mitte
  - wird kein Versionsname angegeben wird der Dateiname stattdessen verwendet
  - Jede Menü-Version ist später im Player so zu sehen wie in der Listview dargestellt
  - hinzufügen als Menü: eine Spezial-Menü-Verion welche wiederholt werden kann
  - bei mehreren Menü-Versionen kann man sich für eine Standard-Version entscheiden
  - die Menü-Versionen können per Drag&Drop verschoben werden

& Matroska Dateien (Versionen und Kapitel) - rechts
  - ist die Spezial-Menü-Version ausgewählt kann man einstellen wie oft sie im Player wiederholt
    werden soll 
  - auswahl einer Matroska Datei: ist die Checkbox angehakt, werden die vorhanden Versionen
    der Datei geladen(Standart-Version wird ausgewählt) und die Kapitel verwendet.
  - Dateien können mit Drag&Drop verschoben werden    



rev0.27
// chapterEditor
* Bluray Parser: Float-wert-berechnungen konnten bei sehr kleinen "in-time" Zeiten
                 für das 1. Kapitel eine falsche Startzeit ermitteln.
                 Die BD-Clock-Time wird ab jetzt direkt verwendet.

// Multi Kapitel
& Drag&Drop Unterstützung für Matroska Dateien:
  - Die Spieldauer wird dann automatisch eingetragen

// XML Format
* Tagsinfo.xml in Matroska Dateien speichern funktionierte nicht

# XML-Parser: 3 Chapter-Elemente fehlten noch 
              (ChapterPhysicalEquiv und ChapterTrack+ChapterTrackNumber) 

// multiAVCHD
& Thumbnail Position Generator: ist dieser geöffnet kann man per Drag&Drop
  Matroska Dateien laden und die Spieldauer wird automatisch eingetragen

// Multi Versionen Editor
* keine Ausgabe einer mmg-mux Datei mehr wenn "Schneiden" deaktiviert wurde

# Benennung von Audio Formaten
  - DTS: es fehlte die kbps und kHz Bezeichnung
  - DTS Master Audio: "(strange setup)" bei speziellen 7.1 channels (DTS-ES Core)


rev0.26
// chapterEditor
& Matroska Dateien Unterstützung (nicht für den Multi Versionen Editor)
  - mkvextract.exe wird benötigt
  - mka
  - mks 
  - mkv
  - mk3d

& Menu: Einstellungen 
  - Pfad Einstellungen zu den benötigten externen Tools
  - Ordner können per Drag&Drop geladen werden (egal wo man hin dropt) und 
    diese werden automatisch erkannt und dem richtigen Tool zugeordnet
  - MKVToolNix, dort wird auf die mkvextract und mkvpropedit exe geprüft

* laden von zu großen Dateien ließ den Editor abstürtzen

// OGG Format
& Matroska Dateien Unterstützung (speichern als)
  - mkvpropedit.exe wird benötigt
  - mka
  - mkv
  - mk3d

// XML Format
& Matroska Dateien Unterstützung (speichern als)
  - mkvpropedit.exe wird benötigt
  - mka
  - mkv
  - mk3d
  - im Taginfo.xml Editor können Tags in Matroska Dateien gespeichert werden


rev0.25
// chapterEditor
* DVD Parser funktionierte nicht korrekt


rev0.24
// chapterEditor
& Unterstützung für ChapterGrabber.chapters Datei

* Drag&Drop von nicht unterstützten Ordnern führte zum Crash des Editors  

// XML Format
& Online Kapitel Datenbank
  - XML Format (ordered chapters, multi Versionen und "versteckt" Funktionen)
  - mehrsprachig
  - individuelle Kapitelverwaltung (hochladen und bearbeiten)
  - Bewertungssystem
  - Statistiken
  - speichern der Login Daten und automatisches login
  - neue Kapiteldateien generieren direkt aus der Datenbank heraus
  - Kapitelnamen ersetzen bei vorhandenen Kapiteln (verbesserte Kapitelbenennung)
  - Eine Version kann optional zu vorhandenen Versionen hinzugefügt werden
  - einfache Suche mit 4 Auswahlkriterien

* "Kapitel schneiden" funktionierte bei einer Version mit 
   ordered chapters nicht immer richtig

# Endzeiten erzeugen für ordered chapters überarbeitet
  - Endzeiten werden jetzt immer neu berechnet beim aktivieren
  - Endzeiten können so nicht mehr kleiner als die Startzeit sein


rev0.23
// Multi Versionen Editor
& "Neue Spieldauer" -berechnung für die selektierten Mux-Teile.

* DGIndexNV: - UTF8 Ordnernamen funktionierten nicht 
             - 2 DGINDEX-Labels in DGIndexNV umbenannt

* Standardspur Button "Alle" wurde nicht korrekt aktiviert/deaktiviert

* XML zu Editor funktionierte nicht wenn im XML-Editor Funktions-
  Checkboxen aktiviert waren.


rev0.22
// chapterEditor
* UTF-8 Datei- und Ordnernamen sowie Dateien mit/ohne BOM werden jetzt 
  richtig verarbeitet

// multiAVCHD Format
* Sonic Cinevision CSV File und Sonic Scenarist CSV File konnten nicht
  richtig geladen werden

// Multi Versionen Editor
& DGIndexNV 
  - mit DGIndexNV eine dgi Datei erstellen
  - dgi Datei laden
  - Zeitcodes bei dem ein I-Frame zu finden ist werden aufgelistet
    (außer der erste und letzte Zeitcode)
  - Links-klick auf einen Zeitcode überträgt ihn in das Schnittzeitfeld
  - Doppelklick auf einen Zeitcode fügt ihn zu den Schnittzeiten hinzu
  - DGIndexNV-Ordner wird automatisch gespeichert

% zwei neue Buttons: "DGIndexNV" und "dgi Datei"

% eine Listview für die Zeitcodes eingefügt



rev0.21
// XML Format
* Start- und End- Zeiten im Treeview ändern hatte einen kleinen Fehler
  (ein Absturz konnte provoziert werden)

// Multi Versionen Editor
& Schneiden: mkv Dateien mittels Timecodes schneiden
  - Timecodes werden sortiert
  - Timecodes werden geprüft, damit keine doppelten erstellt werden
  - ein Limit für den maximalen Timecode abhängig von der Spieldauer

& Muxen: zusammenfügen der geschnittenen Teil-mkvs
  - auswählen der Teile in der Listview
  - automatische Erzeugung einer separaten mmg-mux Datei

* ignoriere letzte m2ts
  - ein Fehler trat beim selektieren einer Version auf,
    wenn die letzte m2ts nicht ignoriert wurde
  - Kapiteldatei wurde fehlerhaft erstellt (falsche Spieldauer)

* externe Untertitel denen keine Sprache zugeordnet wurde erzeugten ein Fehler in der mmg
  -"Undetermined" wird nun als Standardsprache verwendet

# die erzeugten mmg Dateien an mkvMergeGUI-7.0.0 (wird ab jetzt benötigt) angepasst

# Spurreihenfolge: die drag-Spur wird jetzt nach dem drop-Vorgang selektiert

% ein Button "Schneiden" eingefügt
  
% ein Panel mit den Schneiden- und Muxen- Optionen eingefügt


rev0.20
// chapterEditor
* Zeit-Edit-Felder: es war möglich Minuten und Sekunden größer als 59 einzugeben

// XML Format
# die Zeiten für Start und Ende ändern sich jetzt sofort im Treeview


// Multi Versionen Editor
& Ignoriere letzte m2ts Datei: ein Workaround für Blurays die als letztes eine m2ts
  haben welche aber "anscheinend" andere Spur-Parameter hat als die anderen m2ts Dateien
  (z.B. Star Trek Enterprise Staffel 3)
  - eine exakte Prüfung findet nicht statt, es wird nur nach der Spieldauer der letzten
    m2ts Datei geschaut
  - ist die Spieldauer kleiner als 2 Sekunden kann man die Datei ignorieren (oder nicht) 
   
* Anzahl an m2ts Dateien konnte bei nicht multi Versionen falsch ermitteln werden

* demuxen einer Audio Spur bei nicht multi Versionen funktionierte nicht richtig
  - eac3to_log datei wird jetzt ebenfalls erstellt

* wenn eine Audiospur das zweitemal konvertiert wird, wird sie ab jetzt in der Spur-
  liste aktualisiert und nicht mehr als zweite konvertierte Audiospur hinzugefügt

# das Editfeld "Spurname" erhält den Focus nach dem eine Spur selektiert wurde

# der Start button wird nach betätigen deaktiviert und beim drücken
  vom Reset button wieder aktiviert
  - somit kann eine Bluray nicht zweimal eingelesen werden

% eine checkbox "Ignoriere letzte m2ts..." eingefügt



rev0.19
// chapterEditor
& qpf Datei Format (MeGUI)

# Quellcode aufgeräumt: ein paar doppelte Sachen entfernt

// OGG Format
* ifo Dateien konnten nicht geladen werden

// multiAVCHD
* ifo Dateien konnten nicht geladen werden

// Multi Versionen Editor
& BD demux -> auswählbar: es werden nur die aktivierten Spuren demuxt
  - eine videospur kann optional als mkv gespeichert werden,
    und es kann eine Sprache vergeben werden

  - die Spurreihenfolge kann auch verändert werden (man spart sich die klicks in mmg)

  - Untertitelfunktionen wie Standardspur oder Kompression stehen auch zur Verfügung

* die mmg "container" Einstellung für konvertierte Audio Spuren wurde nicht berücksichtigt 
  
# Dateinamen erhalten als Prefix den Typ plus die eac3to Spurnummer ("[s11]")
  - damit findet man die demuxte Spur schneller in der eac3to-log

# Untertitel: die Standardspur kann für ALLE auf "nein" gesetzt werden

% ein Button "alle" eingefügt

% eine checkbox "auswählbar" eingefügt


rev0.18
// Multi Versionen Editor
& chapters.xml kann automatisch im XML Format Editor geladen werden

% eine checkbox "XML zu Editor" eingefügt

// XML Format Editor
# Kapitelbenennung: - versteckte Kapitel werden ab jetzt ignoriert 
                    - (wichtig für die richtige Kapitelnummer)
                    - den Quellcode umgeschrieben damit die Prozedur schneller wird


rev0.17
// Multi Versionen Editor
* verschieben (Spurreihenfolge) von externen Untertiteln funktionierte nicht richtig

* demuxen von einzelnen Untertiteln, Untertitel-log-datei wurde nicht im Zielordner erstellt


rev0.16
// Multi Versionen Editor
* Dateinamen werden jetzt ohne "/" generiert


rev0.15
// Multi Versionen Editor
& eine checkbox, damit man eac3to log Dateien erstellen kann

& einen button zum demuxen der gesamten BD (alle m2ts in der entsprechenden Reihenfolge)

* wenn es nur eine Version gibt, wurde eine falsche Spurnummer an eac3to übermittelt

* letztes Kapitel wird nur dann ignoriert wenn es kürzer als 2 Sekunden ist

* letzte m2ts Datei wurde manchmal ignoriert 



rev0.14
// chapterEditor
& Multi Versionen Editor

# Bluray Parser: Kapitel die für den Benutzer versteckt sind werden ab jetzt ignoriert

// OGG Format
* MPLS Dateien konnten nicht geladen werden

// XML Format
* kopieren einer Version die "ordered" ist, funktionierte nicht

// multiAVCHD Format
* MPLS Dateien konnten nicht geladen werden

// Multi Versionen Editor
   - Blurays mit Multi Versionen zu einem mkv muxen mit Hilfe von eac3to und mmg
   - mit nur einem einzigen mux-Prozess und zusätzlichen Einstellungen,
   - einfach Multi Versionen mkv's erstellen

& nur Multi Versionen anzeigen
  - dadurch wird sichergestellt dass man keine falschen streams zusammen muxen kann
  - abgeschaltet: alle versionen sind sichtbar

& verwendete Titel/Versionen können benannt, und eine sprache kann vergeben werden
  - diese Daten werden im tags.xml gespeichert und später vom Player angezeigt

& demux Optionen für Video, Audio, Untertitel
  - Video: hier kann zusätzlich eine Sprache vergeben werden

  - Audio: es kann auch gleich in ein anderes Format konvertiert werden
    - bei der "eac3to option" kann jeder gültiger eac3to befehl, oder mehrere eingegeben werden
    - org audio: Auswahl ob der originale Audio stream im mkv enthalten sein soll oder nicht
    - zu mmg: der konvertierte stream wird in mmg verwendet und im mkv enthalten sein
 
  - Untertitel: es können alle oder jeder einzeln demuxt werden
    - nach dem demuxen bekommt man ein eac3to-log-file, wo man nachschauen
      kann ob es "forced subs" gibt
    - laden von externen Untertiteln (BD_SUP, SRT), diese können dann mit weiteren Optionen
      bearbeitet werden, ebenso wie die originalen Untertitel (Standardspur, Kompression)

  - ein Name für jede Spur kann auch vergeben werden (Spurname)

& Spurreihenfolge einstellen
  - per Drag & Drop die Spuren an die gewünschte Position verschieben
    (ein verschieben nachträglich in mmg ist nahezu unmöglich)
    
& eac3to Test Button, es wird eine Info angezeigt was man alles an nutzbaren Codecs installiert hat


rev0.13
// chapterEditor
& Funktion: Multi Kapitel
  - einfügen von mehreren Kapiteln
  - verschiedene Einstellungen für die Kapitelanzahl und den Kapitelabstand 
  - im XML Format können die Kapitel optional zu einer neuen Version hinzugefügt werden

% neues Menuitem namens Multi Kapitel


rev0.12
// chapterEditor
& internes Drag&Drop für die Kapitel

// XML Format
# internes Drag&Drop für Kapitel (verschiedene Drag&Drop Varianten)
  > linke Maustaste
    - normales Drag&Drop innerhalb einer Version oder Kapitels (selbes Level)
    - Kapitel mit unterschiedlichen Leveln (nested chapters) verschieben
      (Dabei ist es möglich die nested-chapter-Struktur "aufzulösen")
    - Drop auf eine Version: Der Kapitel wird ans Ende der Version verschoben
  > rechte Maustaste
    - Drop auf einen Kapitel: Dabei wird der Kapitel als nested chapter verschoben
      (Somit ist es möglich neue nested-chapter-Strukturen "aufzubauen")
    - Drop auf eine Version: Der Kapitel wird an die erste Stelle verschoben

// 3GPP TTXT Format
* wenn man das laden einer Textbeschreibung abbricht erschien eine Fehlermeldung

// multiAVCHD Format
* die Kapitelnamen wurden nicht sofort in der listbox geändert wenn
  "Thumbnail-Position in Zeile" deaktiviert war

# Thumbnail-Positionen Generator
  - Spieldauer optional 
  - automatische Spieldauergenerierung (ausser Bluray-DVD)
  - wiederherstellen der Spieldauer falls man sie gelöscht hat



rev 0.11
// XML Format
* löschen von Kapiteln sollte jetzt richtig funktionieren

// multiAVCHD Format
# Die Thumbnail-Position für den letzten Kapitel kann genau berechnet werden wenn
  man eine Spieldauer angibt.
 
# Die Spieldauer eines Clips (mpls/ifo-titel) wird automatisch übernommen

% im Thumbnail-Position Generator ein Edit-Feld hinzugefügt



rev 0.10
// chapterEditor
* bei sämtlichen Zeit-Edit-Feldern war es möglich negative Zeiten einzugeben (00:-3:00.000)

* bei sämtlichen FPS Comboboxen ist es nicht mehr möglich negative Zahlen einzugeben
 
# OGG Format Editor komplett neu

# Die Sprachen komplett auf das neue System umgestellt.
  die lng Dateien werden nicht mehr verwendet

// OGG Format
& support für alle Kapitelformate (3GPP TTXT bis x264 qp text file)
  
// XML FOrmat
* löschen von Kapiteln funktionierte nicht korrekt.



rev 0.09
// chapterEditor
& multiAVCHD Format Editor

# Eine "Hilfe" für den XML Format Editor

// OGG Format
* eine warnung wurde zweimal angezeigt wenn man ein nicht unterstütztes Format laden wollte

// XML Format
& support für multiAVCHD Format

* "Version kopieren" funktionierte nicht mehr richtig nach dem Kapitel verschoben wurden
  - der Code wurde etwas umgeschrieben und zugleich schneller gemacht. das kopieren einer version
    mit mehr als 500 kapitel geht jetzt sehr schnell. 

* 3GPP TTXT dateien können nun auch über den "Datei..."button geöffnet werden

* Drag&Drop von Ordnern oder Laufwerken lies den chapterEditor abstürzen wenn Funktionen (FPS,
  Kapitelname oder Kapitel verschieben/schneiden) aktiviert sind.

// 3GPP TTXT Format
& support für multiAVCHD Format

* Beim verarbeiten von Kapiteldateien (die in/mit Bildern gespeichert sind) stürtzte der Editor ab
  wenn "Exit"(Fenster: Source FPS) nicht aktiviert wurde und man zweimal(andere FPS) die datei laden
  wollte.

* Die buttons "Edit" und "löschen" in der KaraokeRange wurden nicht aktiviert beim laden einer
  TTXT(wenn diese KaraokeRange-Funktionen hat).

* Das Schriftartenaussehen wie Bold, Italic, Underlined oder deren kombinationen wurde nicht exakt 
  verarbeitet. (ein leerzeichen am ende kann/oder muss(?) sein: das wird jetzt beachtet)

* Drag&Drop von Ordnern oder Laufwerken wurde nicht korrekt verarbeitet wenn Funktionen (FPS,
  Kapitelname oder Kapitel verschieben/schneiden) aktiviert sind.

* beim wechseln der Text Beschreibungen wurden die Editfelder fälschlicherweise weiß gefärbt,
  obwohl der "Stil" oder die "Textbox" deaktiviert ist.(Tritt nur auf wenn zwei aufeinander 
  folgende Text Beschreibungen den Stil und/oder die Textbox deaktiviert haben)

* eine überflüssige Warnung wurde in der Statusbar angezeigt wenn man auf den button "Neue TTXT" klickte

# eine sicherheitsabfrage eingefügt: wenn man den button "Neue TTXT" drückt und es Kapitel und/oder 
  Text Beschreibungen gibt, damit man nichts ausversehen löscht. 

% Memos zum Anzeigen der Farbe eingefügt.

// multiAVCHD Format
& FPS Konvertierung

& Kapitel verschieben oder schneiden

& Kapitelbenennung (Name(n) + Nummer + Thumbnail-Position) 

& Thumbnail-Positionen Generator

& Support für alle Chapterformate (3GPP TTXT bis x264 qp text file)

& Drag&Drop: Alle Formate, Ordner(Bluray+DVD), Laufwerke(Bluray+DVD)


rev 0.08
// chapterEditor
& 3GPP TTXT Format Editor

& eine "Hilfe" (anzeigen von Hilfetexten in der Statusbar)(noch nicht vollständig)

# Die Sprachen werden in zukunft nicht mehr in einer lng datei gespeichert
  - ich verwende ab jetzt ein etwas einfacheres system wodurch es leichter sein wird
    neue Sprachen einzubinden (Umstellung erfolgt nach und nach! So lange werden die
    lng-dateien noch verwendet) 

# Beim Starten wird der zuletzt verwendete Format Editor angezeigt

% eine Statusbar eingefügt für die Anzeige von Informationen (Programmfunktionen und Hilfe)

% Die Fensterhöhe auf 680 pixel gesenkt (vorher 714)

// XML Format
& 3GPP TTXT Format support

* chapter-Element: ChapterProcess (mit allen Unter-Elementen) funktionierte nicht korrekt bei
		   mkv-dvd-menu.xml dateien.

* Hybrid(Selur) chapterqueue CHP File kann jetzt auch über den Datei-Button geöffnet werden

# "ordered chapters" Die Endzeiten werden nun automatisch auf die Startzeit des nächsten Kapitels gesetzt.
                     Das letzte Kapitel erhält die eigene Startzeit als Endzeit.

# Drag&Drop
  - laden eines Laufwerkes (Bluray oder DVD) jetzt möglich

% die buttons um 2 pixel verkleinert und alles zusammengerückt, damit die Höhe verkleinert werden konnte


// 3GPP TTXT Format
& FPS Konvertierung

& Kapitelbenennung (Name und Nummer)

& Kapitel verschieben oder schneiden

& speichern und laden einer "Text-Beschreibung" (Grundeinstellungen in der TTXT)

& Support für alle Chapterformate (3GPP TTXT bis x264 qp text file)

& Drag&Drop: Alle Formate, Ordner(Bluray+DVD), Laufwerke(Bluray+DVD) 



rev 0.07

// XML Format
# DVD_ifo support
  - ifos werden ab jetzt mit einem eigenen ifo_Parser geladen. ChapterXtractor wird nicht mehr benutzt.
  - laden mehrerer ifos per Drag&Drop ist ebenfalls möglich.

# Drag&Drop: es können ab jetzt auch Ordner direkt geladen werden. 
  - BDMV Ordner
  - PLAYLIST Ordner
  - VIDEO_TS Ordner

* english update  
  


rev 0.06

// XML Format
& Bluray/mpls support

& support für zwei neue chapterformate
  - Hybrid(Selur) chapterqueue CHP File
  - Hybrid(Selur) mkvchapter CHP File

* bei Chapterformaten die mit/in Frames gespeichert werden, wurde beim laden die Zeit nicht
  exakt berechnet. 

% beim laden einer Bluray/mpls öffnet sich ein neues Fenster mit einigen Einstellungen

% beim laden von Chapterformaten(mit/in Frames) öffnet sich ein neues fenster. Dort kann man 
  die Quell FPS voreinstellen.



rev 0.05

// XML Format
* wenn es mehrere versionen gibt und eine "ordered" ist und eine andere nicht, 
 - so wurden die endzeiten gelöscht, wechselte man zwischen diesen verschiedenen versionen.
 - trat ein fehler auf wenn man kapitelnamen vergeben wollte.

* die endzeiten werden jetzt korrekt gespeichert, falls man ausversehen "ordered" abgewählt
  hatte, so dass nicht alles neu eingegeben werden muss.

* der button "neue kapiteldatei" säuberte die dvd-ifo box nicht.

* die fps checkbox funktionierte nicht korrekt (treeview war nach aktivieren immer noch benutzbar)

# den code für die checkboxen: versteckt, Standard/aktiviert, ordered 
  und für die treeviewansicht bereinigt. somit wird nun kein unnützer code mehr
  ausgeführt.

// OGG Format
% den font- style und size verändert und alles neu angeordnet 




rev 0.04

// XML Format
& DVD IFO unterstützung (Externes Tool: ChapterXtractor)
  {die ifo muss die VTS_xx_0.IFO sein, dort sind die einzelnen Titel gespeichert.
   die VIDEO_TS.IFO wird nicht unterstüzt und auch nicht gebraucht.}

* beim laden von Dateien per Drag&Drop bei einer aktivierten checkbox(z.B.: "Kapitel verschieben oder schneiden")
  trat ein Fehler auf. 

* update english

* error-messageboxen wurden nicht angezeigt, falls ungültige dateien geladen wurden

% eine combobox (dvd-ifo) zur Auswahl der Titel hinzugefügt



rev 0.03

// XML Format
* beim löschen von kapiteln gabs einen fehler wenn mehr als 10 kapitel vorhanden waren. der editor stürtzte dann ab.

* editfeld-kapitelname, kapitel-sprache und -land (comboboxen) wurden nicht deaktiviert wenn kein name vorhanden ist.
  somit konnte man das programm zum absturz bringen.

# 3 weitere englishe übersetzungen

// OGG Format
* der "öffnen" button zeigte eine überflüssige messagebox an wenn man auf abbrechen drückte.




rev 0.02

// XML Format
* beim laden einer xml wurde der "Speichern" button nicht richtig aktiviert

* beim laden einer xml ohne "ordered chapters" gabs ein kleines anzeige problem

* eine englische Übersetzung fehlte

# die abfrage ob eine xml gültige kapiteleinträge hat wurde verbessert



rev 0.01

// chapterEditor
& XML Format Editor: chapters im xml format, damit kann man jede menge mehr machen als mit normalen chapter-dateien.
  nested chapters, und ordered chapters. man kann damit multiversionen eines films oder liedes erzeugen. alles in 
  einem einzigen mkv-file.

& Sprache: english 


// XML Format
& TAGinfo xml Editor: mit diesem editor kann man seine (multi)versionen mit namen und sprachen versehen, 
  welche dann auch im player so wiedergegeben werden können.

& unterstützung für folgende chapter-formate: CCE SP Text File
                                              Celltimes Text
  ----------------------------------I         DVD Author Text File
  Die chapterformate stammen alle   I         HC Enc Text file
  von ChapterGen, einem Editor      I         Muxman
  aus dem engl. Doom9 Forum.        I         OGG Chapter Text File
                                              Sonic Cinevision CSV File
                                              Sonic Scenarist CSV File
                                              Spruce DVD Maestro CHP File
                                              Timecodes Text File
                                              tsMuxer Meta File
                                              x264 qp text file


// OGG Format
* wenn "kapitel schneiden" aktiviert wurde, wurde es nicht richtig beendet und hatte weiterhin einfluss aufs umwandeln.
* die FPS comboboxen können nicht mehr mit falschen daten gefüttert werden (weiterhin besteht die mögliche eingabe jeglicher fps) 

# FPS: die jeweils 2. combobox(der teiler) stellt sich nun automatisch auf "1001" wenn in der ersten box eine 
       5-stellige zahl eingegeben wurde.
       andersum wenn keine 5-stellige zahl eingegben wurde wird auf "1" gestellt. (erleichtert das einstellen)


% die menufunktion "speichern" und "öffnen" habe ich zu buttons gemacht.


 


 